# NOTE
# according to EULA we *can* store the .exe's in distfiles in
# unaltered form (that is those .exe files), while can't distribute
# resulting rpm.
#
# Conditional build:
%bcond_with	license_agreement	# generates package

%define		base_name	fonts-TTF-microsoft
%define		rel	12
Summary:	Microsoft TrueType fonts
Summary(pl.UTF-8):	Fonty TrueType firmy Microsoft
%if %{with license_agreement}
Name:		%{base_name}
%else
Name:		%{base_name}-installer
%endif
Version:	20020525
Release:	%{rel}%{?with_license_agreement:wla}
License:	Microsoft EULA (for non-commercial use)
Group:		Fonts
%if %{with license_agreement}
Source0:	http://downloads.sourceforge.net/corefonts/andale32.exe
# Source0-md5:	cbdc2fdd7d2ed0832795e86a8b9ee19a
Source1:	http://downloads.sourceforge.net/corefonts/arial32.exe
# Source1-md5:	9637df0e91703179f0723ec095a36cb5
Source2:	http://downloads.sourceforge.net/corefonts/arialb32.exe
# Source2-md5:	c9089ae0c3b3d0d8c4b0a95979bb9ff0
Source3:	http://downloads.sourceforge.net/corefonts/comic32.exe
# Source3-md5:	2b30de40bb5e803a0452c7715fc835d1
Source4:	http://downloads.sourceforge.net/corefonts/courie32.exe
# Source4-md5:	4e412c772294403ab62fb2d247d85c60
Source5:	http://downloads.sourceforge.net/corefonts/georgi32.exe
# Source5-md5:	4d90016026e2da447593b41a8d8fa8bd
Source6:	http://downloads.sourceforge.net/corefonts/impact32.exe
# Source6-md5:	7907c7dd6684e9bade91cff82683d9d7
Source7:	http://downloads.sourceforge.net/corefonts/times32.exe
# Source7-md5:	ed39c8ef91b9fb80f76f702568291bd5
Source8:	http://downloads.sourceforge.net/corefonts/trebuc32.exe
# Source8-md5:	0d7ea16cac6261f8513a061fbfcdb2b5
Source9:	http://downloads.sourceforge.net/corefonts/verdan32.exe
# Source9-md5:	12d2a75f8156e10607be1eaa8e8ef120
Source10:	http://downloads.sourceforge.net/corefonts/webdin32.exe
# Source10-md5:	230a1d13a365b22815f502eb24d9149b
%else
Source21:	http://svn.pld-linux.org/svn/license-installer/license-installer.sh
# Source21-md5:	329c25f457fea66ec502b7ef70cb9ede
# extracted from one of the above
Source20:	Microsoft-EULA.txt
%endif
URL:		http://corefonts.sourceforge.net/
%if %{with license_agreement}
BuildRequires:	cabextract
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/TTF
Requires:	%{name}-ariblk
Requires:	fontpostinst
%else
Requires:	cabextract
Requires:	mktemp > 1.5-18
Requires:	rpm-build-tools >= 4.4.37
Requires:	rpmbuild(macros) >= 1.544
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		ttffontsdir	%{_fontsdir}/TTF

%description
Microsoft free TrueType fonts collection.

%description -l pl.UTF-8
Kolekcja darmowych fontów TrueType firmy Microsoft.

%package ariblk
Summary:	Microsoft TrueType fonts - Arial Black
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/TTF
Requires:	fontpostinst

%description ariblk
Microsoft TrueType fonts - Arial Black.

%prep
%if %{with license_agreement}
%setup -q -c -T
%{_bindir}/cabextract -L %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} \
%{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} %{SOURCE8} %{SOURCE9} \
%{SOURCE10}
mv licen.txt Microsoft-EULA.txt
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{without license_agreement}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{base_name}}

sed -e '
	s/@BASE_NAME@/%{base_name}/g
	s/@TARGET_CPU@/%{_target_cpu}/g
	s-@VERSION@-%{version}-g
	s-@RELEASE@-%{release}-g
	s,@SPECFILE@,%{_datadir}/%{base_name}/%{base_name}.spec,g
	s,@DATADIR@,%{_datadir}/%{base_name},g
	s,@LICENSE@,%{_datadir}/%{base_name}/Microsoft-EULA.txt,
' %{SOURCE21} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}.install

cp -a %{_specdir}/%{base_name}.spec $RPM_BUILD_ROOT%{_datadir}/%{base_name}
install -p %{SOURCE20} $RPM_BUILD_ROOT%{_datadir}/%{base_name}

%else
install -d $RPM_BUILD_ROOT%{ttffontsdir}
cp -a *.ttf $RPM_BUILD_ROOT%{ttffontsdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with license_agreement}
%post
fontpostinst TTF

%postun
fontpostinst TTF

%post ariblk
fontpostinst TTF

%postun ariblk
fontpostinst TTF

%else
%post
echo "
If you accept the license enclosed in the file
%{_datadir}/%{base_name}/Microsoft-EULA.txt
and want to install real fonts, then rebuild the package with the
following command:

%{_bindir}/%{base_name}.install --with license_agreement %{_datadir}/%{base_name}/%{base_name}.spec
"
%endif

%files
%defattr(644,root,root,755)
%if %{with license_agreement}
%doc Microsoft-EULA.txt
%{ttffontsdir}/andalemo.ttf
%{ttffontsdir}/arial.ttf
%{ttffontsdir}/arialbd.ttf
%{ttffontsdir}/arialbi.ttf
%{ttffontsdir}/ariali.ttf
%{ttffontsdir}/comic*.ttf
%{ttffontsdir}/cour*.ttf
%{ttffontsdir}/georgia*.ttf
%{ttffontsdir}/impact.ttf
%{ttffontsdir}/times*.ttf
%{ttffontsdir}/trebuc*.ttf
%{ttffontsdir}/verdana*.ttf
%{ttffontsdir}/webdings.ttf
%else
%attr(755,root,root) %{_bindir}/%{base_name}.install
%{_datadir}/%{base_name}
%endif

%if %{with license_agreement}
%files ariblk
%defattr(644,root,root,755)
%{ttffontsdir}/ariblk.ttf
%endif
%changelog
* Thu Mar 19 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fonts-TTF-microsoft-installer.git;a=log;h=master

* Thu Mar 19 2020 Jan Rękorajski <baggins@pld-linux.org> c58934f
- release 12 (by relup.sh)

* Wed Jul 28 2010 Elan Ruusamäe <glen@pld-linux.org> 3d28dfe
- use rpmbuild(macros) virtual, not direct package name

* Sun Apr 04 2010 pawelz <pawelz@pld-linux.org> 102f1ea
- license-installer.sh updated to r11289
- rel 11

* Tue Mar 23 2010 Elan Ruusamäe <glen@pld-linux.org> b2a452b
- subpackage for arial black; rel 10

* Sat Dec 26 2009 pawelz <pawelz@pld-linux.org> 209acad
- switch to license-installer.sh from SVN/DistFiles

* Fri Dec 25 2009 pawelz <pawelz@pld-linux.org> a78c593
- parse @DATADIR@ macro in license_installer.sh
- rel 8

* Fri Dec 25 2009 pawelz <pawelz@pld-linux.org> 457c04a
- don't hardcode package name (even the correct one)

* Fri Dec 25 2009 pawelz <pawelz@pld-linux.org> 0ed15fb
- Typo. s/>/>=/ in rpm-build-tools dependency

* Mon Oct 26 2009 Elan Ruusamäe <glen@pld-linux.org> 737a042
- there is no epoch 0

* Mon Oct 26 2009 pawelz <pawelz@pld-linux.org> a2f5f27
- use new cvs layout
- BR rpm-build-tools >= 0:4.4.35 (needs builder.sh that uses new cvs layout)

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 96a3b66
- s/True Type/TrueType/

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7347228
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7fed25b
- converted to UTF-8

* Mon Nov 13 2006 sparky <sparky@pld-linux.org> 3d45bee
- don't use %{without ...}, it may not work after inverting bcond

* Wed Jun 21 2006 Elan Ruusamäe <glen@pld-linux.org> f515789
- pure requires on fontpostinst

* Sat Apr 22 2006 Elan Ruusamäe <glen@pld-linux.org> 544f569
- support for disabling distfiles

* Sat Apr 22 2006 Elan Ruusamäe <glen@pld-linux.org> 0410e77
- updated installer script, rel 7

* Sat Apr 22 2006 Elan Ruusamäe <glen@pld-linux.org> 4bbcd57
- use temp dir for rpm topdir avoiding overwriting any file

* Sat Apr 22 2006 Elan Ruusamäe <glen@pld-linux.org> 066d48b
- don't confuse distfiles with duplicate source0

* Sat Apr 22 2006 Elan Ruusamäe <glen@pld-linux.org> 427e490
- wget required by rpm-build-tools
- store files in distfiles as EULA allows it
- cleanups

